> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Список назначений ролей

> Получение списка назначений ролей общедоступной учетной записи

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ru.json GET /v1/public/accounts/{account_id}/auth/role-assignments
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/role-assignments:
    get:
      tags:
        - public-accounts
        - public-account-auth
      summary: Получение списка назначений ролей общедоступной учетной записи
      description: Перечислите назначения ролей на уровне учетной записи.
      operationId: >-
        list_public_account_role_assignments_v1_public_accounts__account_id__auth_role_assignments_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: subject_type
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SubjectType'
              - type: 'null'
            title: Subject Type
        - in: query
          name: subject_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Subject Id
        - in: query
          name: role_key
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/RoleKey'
              - type: 'null'
            title: Role Key
        - in: query
          name: include_revoked
          required: false
          schema:
            default: false
            title: Include Revoked
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/RoleAssignmentResponse'
                title: >-
                  Response List Public Account Role Assignments V1 Public
                  Accounts  Account Id  Auth Role Assignments Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Ошибка валидации
      security:
        - PublicBearerAuth: []
components:
  schemas:
    SubjectType:
      description: Типы субъектов авторизации.
      enum:
        - user
        - group
        - service_account
      title: SubjectType
      type: string
    RoleKey:
      description: Стабильные многоразовые идентификаторы ролей.
      enum:
        - viewer
        - editor
        - domain_manager
        - manager
        - dns_manager
        - ip_manager
        - billing_viewer
        - billing_admin
        - credential_manager
      title: RoleKey
      type: string
    RoleAssignmentResponse:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Создано в
        expanded_capability_keys:
          items:
            type: string
          title: Ключи расширенных возможностей
          type: array
        id:
          format: uuid
          title: ID
          type: string
        resource_id:
          format: uuid
          title: ID ресурса
          type: string
        resource_type:
          title: Тип ресурса
          type: string
        revoked_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Время отзыва
        role_key:
          title: Ролевой ключ
          type: string
        subject_id:
          title: ID субъекта
          type: string
        subject_type:
          title: Тип субъекта
          type: string
      required:
        - id
        - subject_type
        - subject_id
        - role_key
        - resource_type
        - resource_id
        - expanded_capability_keys
      title: RoleAssignmentResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Сведения
          type: array
      title: HTTPОшибка проверки
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Расположение
          type: array
        msg:
          title: Сообщение
          type: string
        type:
          title: Тип ошибки
          type: string
      required:
        - loc
        - msg
        - type
      title: Ошибка проверки
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````